compute.Y <-
function(input.F, patcodes=NULL,rowname.2.diagnosis=patCode.2.diagnosis,S=Settings){
	types <- S$types
	if(is.null(patcodes)){	
	    relevent.patient.codes <- rownames(input.F)	# It could be "coordinate" or any other.
	} else    
		relevent.patient.codes <- patcodes
	#	
    Y <- data.frame()   # Each column will contain lables for a class. 
    for (type in types){ # For all types,
		label.1_or_0   <-  as.integer( patient.label.2.type(patient.labels=rowname.2.diagnosis[relevent.patient.codes],S=S) ==type )
        Y[rownames(input.F),type] <- 2*label.1_or_0 -1 
        # The above lable is 1 if the patient has the disease of the same class as "type" and -1 otherwise.
		# print(Y[rownames(input.F),type]);a()
    }#End for (type.
	#
    return(as.matrix(Y))
}#End compute.Y <- function.

