compute.accuracy <-
function(feature,threshould, type.num=NULL,maping=patCode.2.diagnosis,
						labels= (patient.label.2.type.num(maping[names(feature)])==type.num) ){	
	if(class(feature)=="matrix")	# It should have only one column
		feature <- feature[ ,1]

	# Threshould	
	if(is.na(threshould)){	# We find the best thresould.
		best.accuracy <- 0
		for(i in (1:100)/100)
			threshould <- i*(max(feature,na.rm=TRUE)-min(feature,na.rm=TRUE))
			accuracy <- compute.accuracy(feature=feature,threshould=threshould, 
				type.num=type.num,labels= labels)$statistics$da$est
			if(accuracy > best.accuracy){
				best.threshould <- threshould
				best.accuracy <- accuracy
				#print(best.accuracy)
			}#End if.	
	}#End if.
	### To compute accuaracy, sensitivity, specifity and ...
	library(epiR)
	test.positive <- which(feature > threshould)
	test.negative <- which(feature <= threshould)
	real.positive <- which(labels >=1 )
	real.negative <- which(labels < 1 )
	TP <- length(intersect(test.positive, real.positive))
	TN <- length(intersect(test.negative, real.negative))
	FP <- length(intersect(test.positive, real.negative))
	FN <- length(intersect(test.negative, real.positive))
	numbers <- c("TP"=TP,"TN"=TN,"FP"=FP,"FN"=FN)
	#print(numbers)	
	result <- list(statistics=epi.tests(a=TP,b=FP,c=FN,d=TN), numbers=numbers, threshould=threshould)
		
	return(result)
}###################################################

