compute.classic.score <-
function(feature,cutoffs,ploting.path=NA,standard.patients=feature[["standard"]],
								ylab=presentable.feature.names["classic"],type.colors=1:2,corresponding.types=types,...){
### Plots the scors computed based on standard (FMC7+, CD23-) routineSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS
	print("computing classic scors,")	#;a()		
	result <- rep(0,times=length(feature[["FMC7.CD23.ratio"]]))
	FMC7.positive <- feature[["FMC7.intensity"]] > Mod(cutoffs["FMC7.intensity"])
	CD23.negative <- feature[["CD23.intensity"]] < Mod(cutoffs["CD23.intensity"])
	result <- as.numeric(FMC7.positive) + as.numeric(CD23.negative) 
	names(result) <- names(feature[["FMC7.intensity"]])

	if(!is.na(ploting.path))
		postscript(file=paste(ploting.path,"/","classic.eps",sep=""))				
	# plot	
	temp <- plot.ratio(ratio=result,cutoff=1,standard.patients=standard.patients,path=NA,title="",
				reverce=TRUE,ylab=ylab,axes=FALSE,type.colors=type.colors,...)			
	axis(1,1:length(result)); axis(2,0:2); box()
	if(!is.na(ploting.path))
		dev.off()
	
	return(result)
}#End compute.total.score.SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS

