compute.total.score <-
function(feature,cutoffs,ploting.path=NA,standard.patients=feature[["standard"]],type.colors=1:2,...){
### Plots the scors computed based on the three interesting ratios.SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS
	print("computing total scors,")	
	score <- rep(0,times=length(feature[["FMC7.CD23.ratio"]]))
	names(score) <- names(feature[["FMC7.CD23.ratio"]])
	score[which(feature[["FMC7.CD23.ratio"]] > Re(cutoffs[["FMC7.CD23.ratio"]]))] <- 
				score[which(feature[["FMC7.CD23.ratio"]] > Re(cutoffs[["FMC7.CD23.ratio"]]))] + 1
	score[which(feature[["CD20.CD11c.ratio"]] > Re(cutoffs[["CD20.CD11c.ratio"]]))] <- 
				score[which(feature[["CD20.CD11c.ratio"]] > Re(cutoffs[["CD20.CD11c.ratio"]]))] + 1
	score[which(feature[["CD20.CD23.ratio"]] > Re(cutoffs[["CD20.CD23.ratio"]]))] <- 
				score[which(feature[["CD20.CD23.ratio"]] > Re(cutoffs[["CD20.CD23.ratio"]]))] + 1
	###
	print("ploting scores..")	#;a()
		if(!is.na(ploting.path))
			postscript(file=paste(ploting.path,"/","score.eps",sep=""))				
		# plot	
		temp <- plot.ratio(ratio=score,cutoff=1.5,standard.patients=standard.patients,path=NA,title="",
					reverce=TRUE,ylab="total score",axes=FALSE,type.colors=type.colors,...)
		axis(1,1:length(feature[["score"]])); axis(2,0:3); box()
		if(!is.na(ploting.path))
			dev.off()	
	return(score)
}#End compute.total.score.SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS

