functionize <-
function(curve,domain=NULL,from=NA, to=NA,resolution=100 ){
### A curve is a n*2 matrix representing (x,y) coordinates.sssssssssssssssssssss
### Computes a curve that is a function and estimates the input.
### INPUT: resolution is the number of points.
# We assume that X coordinate is decreasing.
	if(length(domain)==0)
		domain <- max(curve[ ,1]) - diff(range(curve[ ,1])) * (1:resolution/resolution)
	#x11(); plot(curve)
	result <- c()
	X <- unique(curve[ ,1])
	result <- curve[1, ]
	for (xx in domain){
		#xx <- (i * (min(X) - max(X))/resolution) + max(X)
			# moves backward.
		indices.r	<- which(curve[ ,1] > xx)
		indices.l	<- which(curve[ ,1] <= xx)
		yy.r <- curve[max(indices.r),2]
		yy.l <- curve[min(indices.l),2]
		if(length(indices.r)==0)	# no point on left of xx
			yy <- curve[min(indices.l),2]
		if(length(indices.l)==0)	# no point on right of xx			
			yy <- curve[max(indices.r),2]
		if(length(indices.r)!=0 & length(indices.l)!=0){
			yy.l <- curve[min(indices.l),2]
			yy.r <- curve[max(indices.r),2]
			xx.l <- curve[min(indices.l),1]		
			xx.r <- curve[max(indices.r),1]			
			yy <- yy.l + (yy.r-yy.l)/(xx.r-xx.l) * (xx-xx.l)
		}#End if.	
		# 	
		result <- rbind(result,c(xx,yy))
	}#End for. 
	#
	#points(result,col='red',pch=19); a(); dev.off()
	return(result)
}#End functionlize	ffffffffffffffffffffffffffffffffffffffffffffff

