patient.label.2.type <-
function(patient.labels,S=Settings) {
# This function gets the clinical lable of a patient (e.g. SLLV) and determines the corresponding types.
	desired.types <- S$desired.types
	# Main 5classes:
	if( desired.types == "main" )
		return(patient.label.2.type.initials(patient.labels,S=S))
	# These types of Lymphoma are beeing analized:
	# c("class_D", "class_F", "class_M", "class_S")  
	
	# Main 5classes:
	if( desired.types == "5classes" )
		return(patient.label.2.type.5.classes(patient.labels,S=S))
	# These types of Lymphoma are beeing analized:
	# c("DLBCL", "FOLL", "MZL", "MCL","SLL")  
	
	# Follicular subtypes:
	if (desired.types == "follicular")
		return(patient.label.2.type.follicular(patient.labels,S=S))
	# c("FOLL1", "FOLL2", "FOLL3")  				
	# These types of Follicular Lymphoma are important to be distinguished from flow cytometry data.
	#print("TODO: FOLL3, FOLL12")	
	
 	# MCL ve SLL subtypes:
	if (desired.types == "MCL.SLL")
		return(patient.label.2.type.MCL.SLL(patient.labels,S=S))
	# SLL and CLL are considered the same, here.
	# c("MCL", "SLL")  				
		# These types of Lymphoma are important to be distinguished from flow cytometry data.
}#End  patient.label.2.type<- function	###########################################################################

