refine.marker.name <-
function(input.marker.names){
# some dimenstion names are slitely different for different patients, 
# for example: CD20.37981 instead of CD20
	result <- input.marker.names
	if(length(input.marker.names) ==0 )	# no input.
		return(result)
    for(i.marker in 1:length(input.marker.names)) { # all markers
    	# physical coordinates:
		ith.marker <- input.marker.names[i.marker]	# CD20 #3435
    	if(length(grep("FS",toupper(ith.marker)))>0){	# The name contains FS
			result[i.marker] <- "FS"
			next
		}	
   		if(length(grep("SS",toupper(ith.marker)))>0){	# The name contains SS
			result[i.marker] <- "SS"
			next
		}				
   		if(length(grep("FMC",toupper(ith.marker)))>0){	# The name contains FMC
			result[i.marker] <- "FMC7"
			next
		}					
   		if(length(grep("KAPPA",toupper(ith.marker)))>0){	# The name contains Kappa or kappa
			result[i.marker] <- "Kappa"
			next
		}
		if(length(grep("LAMBDA",toupper(ith.marker)))>0){	# The name contains Lambda or lambda
			result[i.marker] <- "Lambda"
			next
		}
		if(length(grep("CD11C",toupper(ith.marker)))>0){	# The name contains CD11c
			result[i.marker] <- "CD11c"	# in the first period it is CD11cPE.
			next
		}
   		if(length(strsplit(ith.marker,"Ig")[[1]])==2){	# The name contains Ig
			result[i.marker] <- replace.character(input.string=ith.marker,replacable=" ",with="_")
			next
		}	
    	# Removing any thing after, space, dot or '#'		
			before.space <- strsplit(ith.marker,' ')[[1]][1]		# CD20. 45
			if(before.space!="")	# There is space but not at the begining,
				ith.marker <-  before.space
			before.dot <- strsplit(ith.marker,'\\.')[[1]][1]		# CD20.344 
				#\\. is used because "." is special.
			if(before.dot!="")	# There is space but not at the begining,
				ith.marker <-  before.dot
			before.number <- strsplit(ith.marker,'#')[[1]][1]		# CD20#347
			if(before.number!="")	# There is space but not at the begining,
				ith.marker <-  before.number
		result[i.marker] <- ith.marker
    }#End for.
    return(result)    
}#End of remove.numbers.from.markers <- function(input.marker.names)########################

