numbers.2.performance <-
function(numbers,features.names){
### Computes the total Accuracy, Sensitivity and Specificity.PPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP
### INPUT: numbers, A vector indexed by TP,TN,FP, and FN.
	print("[----- numbers.2.performance() -----]")			
	result <- data.frame(numbers)	# tobe.presented.result 	
		for (feature.name in features.names){	# Computing total accuracy for each feature.
			numbers.for_this.feature <- numbers[feature.name, ]	# abreviation
			nftf <- numbers.for_this.feature	#abbreviation
			### Computing accuracy:	
			accuracy.total <- epi.tests(a=nftf["TP"],b=nftf["FP"],c=nftf["FN"],d=nftf["TN"])
				# mesures the discriminative value of a feature.			
			result[feature.name,"Sensitivity"] <-  paste(round(100*accuracy.total$se$est),"%",sep="")
			result[feature.name,"Specificity"] <-  paste(round(100*accuracy.total$sp$est),"%",sep="")
			result[feature.name,"Accuracy"] <-  paste(round(100*accuracy.total$da$est),"%",sep="")
			#print(result); a()
		}#End for (featur.name in names(feature)).
	return(result)
}#End numbers.2.performance.PPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP	

