order.according.to.Y <-
function(features.matrix,Y,S=Settings){
	features.matrix <- as.matrix(features.matrix)
	features.matrix <- add.names(features.matrix)
	Y <- as.matrix(Y)
	Y <- add.names(Y)
	result <- matrix(,0,dim(features.matrix)[2] )	# This will be the updated feature matrix.
	for (ith.column in colnames(Y)){
		index <- which(Y[,ith.column]==1)
		index.names <- names(index)	
			# We need to to this because the indices may not be in the same order in features.matrix and Y. 
 		ith.column.positives <- as.matrix(features.matrix[index.names,])	
 			# in case features.matrix has one column, features.matrix[index.names,] is avector, should be returned back to matrix.
		#print(result);a()
		# updating features
		result <- rbind(result, ith.column.positives)	# adding this block to the new features matrix.
		if (length(index.names)==1)
			rownames(result)[dim(result)[1]] <- rownames(Y)[index]	
															# This is needed for when there is just one row 
															# => features.matrix[index,] will be a vector not a matrix.
															# No rownames.									
	}#End for (ith.column
	return(result)
}#End order.Y

